---
title: /token-updated
slug: reference/token-updated
docTags: 
createdAt: 2026-08-23T06:01:06.452Z
---

{
  "id": "GmM3OwPIq1HrvsqKra3cg",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://endpoint.YOURDOMAIN.com/token-updated",
    "servers": [
      {
        "url": "https://endpoint.YOURDOMAIN.com/token-updated"
      }
    ],
    "name": "",
    "description": "",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "kind": "required",
          "name": "signature",
          "type": "string",
          "description": "HMAC signature that was signed with your configured key",
          "default": "+JWKfq4ynALK+FFzGgHnp1jSMQJMBJeb87dlph24sXw="
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "",
          "schema": [
            {
              "name": "token",
              "kind": "required",
              "type": "string",
              "description": "Forter token",
              "default": "ftr1d8a56cfa6b3745a39e4a42d5ab1048c8"
            },
            {
              "name": "card",
              "kind": "required",
              "type": "object",
              "description": "Token's underlying credit card data",
              "example": "",
              "schema": [
                {
                  "name": "bin",
                  "kind": "required",
                  "type": "string",
                  "description": "Credit card bin",
                  "default": "123456"
                },
                {
                  "name": "lastFourDigits",
                  "kind": "required",
                  "type": "string",
                  "description": "Credit card last four digits",
                  "default": "1234"
                },
                {
                  "name": "expiration",
                  "kind": "required",
                  "type": "string<date>",
                  "description": "Credit card expiration",
                  "default": "1747305600000",
                  "format": "date"
                },
                {
                  "name": "state",
                  "kind": "required",
                  "type": "string",
                  "description": "<p>Credit card state - ACTIVE or CLOSED</p>",
                  "default": "ACTIVE"
                }
              ]
            },
            {
              "name": "networkToken",
              "kind": "optional",
              "type": "object",
              "description": "<p>The network token data - only available if there is a network token in use</p>",
              "example": "",
              "schema": [
                {
                  "name": "networkToken",
                  "kind": "required",
                  "type": "string",
                  "description": "The token",
                  "default": "5200828282828210"
                },
                {
                  "name": "expiration",
                  "kind": "required",
                  "type": "string<date>",
                  "description": "Network token expiration",
                  "default": "1747305600000",
                  "format": "date"
                },
                {
                  "name": "paymentAccountReference",
                  "kind": "required",
                  "type": "string",
                  "description": "Network token payment account reference",
                  "default": "A23B45C67D89E01F23G45H67I89J0"
                },
                {
                  "name": "state",
                  "kind": "required",
                  "type": "string",
                  "description": "Network token state",
                  "default": "ACTIVE"
                }
              ]
            },
            {
              "name": "source",
              "kind": "required",
              "type": "string",
              "description": "<p>What product originated the update - AU or NT</p>",
              "default": "AU"
            },
            {
              "name": "updatedFields",
              "kind": "required",
              "type": "object",
              "description": "The specific fields that were updated",
              "example": "",
              "schema": [
                {
                  "name": "paymentAccountReference",
                  "kind": "optional",
                  "type": "string",
                  "description": "Network token payment account reference",
                  "default": "A23B45C67D89E01F23G45H67I89J0"
                },
                {
                  "name": "networkTokenExpirationMonth",
                  "kind": "optional",
                  "type": "string",
                  "description": "Network token expiration month",
                  "default": "12"
                },
                {
                  "name": "networkTokenExpirationYear",
                  "kind": "optional",
                  "type": "string",
                  "description": "Network token expiration year",
                  "default": "2025"
                },
                {
                  "name": "networkTokenState",
                  "kind": "optional",
                  "type": "string",
                  "description": "Network token state",
                  "default": "ACTIVE"
                },
                {
                  "name": "lastFourDigits",
                  "kind": "optional",
                  "type": "string",
                  "description": "Credit card last four digits",
                  "default": "1234"
                },
                {
                  "name": "expirationMonth",
                  "kind": "optional",
                  "type": "string",
                  "description": "Credit card expiration month",
                  "default": "12"
                },
                {
                  "name": "expirationYear",
                  "kind": "optional",
                  "type": "string",
                  "description": "Credit card expiration year",
                  "default": "2025"
                },
                {
                  "name": "cardState",
                  "kind": "optional",
                  "type": "string",
                  "description": "Credit card state",
                  "default": "ACTIVE"
                }
              ]
            },
            {
              "name": "cardArt",
              "kind": "optional",
              "type": "string",
              "description": "Credit card art in base64 format",
              "default": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mP8/5+hHgAGgwJ/ lmfr3wAAAABJRU5ErkJggg=="
            },
            {
              "name": "timestamp",
              "kind": "required",
              "type": "string<date>",
              "description": "The time of sending the message",
              "default": "1747305600000",
              "format": "date"
            }
          ],
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "sec0",
          "name": "sec0",
          "kind": "optional",
          "type": "http",
          "scheme": "basic"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "TtsfHHBixOm_HNd6sWGX-",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://endpoint.YOURDOMAIN.com/token-updated \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --header 'signature: +JWKfq4ynALK+FFzGgHnp1jSMQJMBJeb87dlph24sXw=' \\\n     --data '{\n     \"token\": \"ftr1d8a56cfa6b3745a39e4a42d5ab1048c8\",\n     \"card\": {\n     \"bin\": \"123456\",\n     \"lastFourDigits\": \"1234\",\n     \"expiration\": \"1747305600000\",\n     \"state\": \"ACTIVE\"\n     },\n     \"networkToken\": {\n     \"networkToken\": \"5200828282828210\",\n     \"expiration\": \"1747305600000\",\n     \"paymentAccountReference\": \"A23B45C67D89E01F23G45H67I89J0\",\n     \"state\": \"ACTIVE\"\n     },\n     \"source\": \"AU\",\n     \"updatedFields\": {\n     \"paymentAccountReference\": \"A23B45C67D89E01F23G45H67I89J0\",\n     \"networkTokenExpirationMonth\": \"12\",\n     \"networkTokenExpirationYear\": \"2025\",\n     \"networkTokenState\": \"ACTIVE\",\n     \"lastFourDigits\": \"1234\",\n     \"expirationMonth\": \"12\",\n     \"expirationYear\": \"2025\",\n     \"cardState\": \"ACTIVE\"\n     },\n     \"cardArt\": \"iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mP8/5+hHgAGgwJ/ lmfr3wAAAABJRU5ErkJggg==\",\n     \"timestamp\": \"1747305600000\"\n     }'"
        },
        {
          "id": "xmVSiTNN13S2arZY5UBii",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"signature\", \"+JWKfq4ynALK+FFzGgHnp1jSMQJMBJeb87dlph24sXw=\");\n\nvar raw = JSON.stringify({\n   \"token\": \"ftr1d8a56cfa6b3745a39e4a42d5ab1048c8\",\n   \"card\": {\n      \"bin\": \"123456\",\n      \"lastFourDigits\": \"1234\",\n      \"expiration\": \"1747305600000\",\n      \"state\": \"ACTIVE\"\n   },\n   \"networkToken\": {\n      \"networkToken\": \"5200828282828210\",\n      \"expiration\": \"1747305600000\",\n      \"paymentAccountReference\": \"A23B45C67D89E01F23G45H67I89J0\",\n      \"state\": \"ACTIVE\"\n   },\n   \"source\": \"AU\",\n   \"updatedFields\": {\n      \"paymentAccountReference\": \"A23B45C67D89E01F23G45H67I89J0\",\n      \"networkTokenExpirationMonth\": \"12\",\n      \"networkTokenExpirationYear\": \"2025\",\n      \"networkTokenState\": \"ACTIVE\",\n      \"lastFourDigits\": \"1234\",\n      \"expirationMonth\": \"12\",\n      \"expirationYear\": \"2025\",\n      \"cardState\": \"ACTIVE\"\n   },\n   \"cardArt\": \"iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mP8/5+hHgAGgwJ/ lmfr3wAAAABJRU5ErkJggg==\",\n   \"timestamp\": \"1747305600000\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://endpoint.YOURDOMAIN.com/token-updated\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "bK8tgm0uJNlY_aH12gn1-",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://endpoint.YOURDOMAIN.com/token-updated\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"signature\"] = \"+JWKfq4ynALK+FFzGgHnp1jSMQJMBJeb87dlph24sXw=\"\nrequest.body = JSON.dump({\n   \"token\": \"ftr1d8a56cfa6b3745a39e4a42d5ab1048c8\",\n   \"card\": {\n      \"bin\": \"123456\",\n      \"lastFourDigits\": \"1234\",\n      \"expiration\": \"1747305600000\",\n      \"state\": \"ACTIVE\"\n   },\n   \"networkToken\": {\n      \"networkToken\": \"5200828282828210\",\n      \"expiration\": \"1747305600000\",\n      \"paymentAccountReference\": \"A23B45C67D89E01F23G45H67I89J0\",\n      \"state\": \"ACTIVE\"\n   },\n   \"source\": \"AU\",\n   \"updatedFields\": {\n      \"paymentAccountReference\": \"A23B45C67D89E01F23G45H67I89J0\",\n      \"networkTokenExpirationMonth\": \"12\",\n      \"networkTokenExpirationYear\": \"2025\",\n      \"networkTokenState\": \"ACTIVE\",\n      \"lastFourDigits\": \"1234\",\n      \"expirationMonth\": \"12\",\n      \"expirationYear\": \"2025\",\n      \"cardState\": \"ACTIVE\"\n   },\n   \"cardArt\": \"iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mP8/5+hHgAGgwJ/ lmfr3wAAAABJRU5ErkJggg==\",\n   \"timestamp\": \"1747305600000\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "tkkfzSRwzHnvcMM_eCHTs",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://endpoint.YOURDOMAIN.com/token-updated\"\n\npayload = json.dumps({\n   \"token\": \"ftr1d8a56cfa6b3745a39e4a42d5ab1048c8\",\n   \"card\": {\n      \"bin\": \"123456\",\n      \"lastFourDigits\": \"1234\",\n      \"expiration\": \"1747305600000\",\n      \"state\": \"ACTIVE\"\n   },\n   \"networkToken\": {\n      \"networkToken\": \"5200828282828210\",\n      \"expiration\": \"1747305600000\",\n      \"paymentAccountReference\": \"A23B45C67D89E01F23G45H67I89J0\",\n      \"state\": \"ACTIVE\"\n   },\n   \"source\": \"AU\",\n   \"updatedFields\": {\n      \"paymentAccountReference\": \"A23B45C67D89E01F23G45H67I89J0\",\n      \"networkTokenExpirationMonth\": \"12\",\n      \"networkTokenExpirationYear\": \"2025\",\n      \"networkTokenState\": \"ACTIVE\",\n      \"lastFourDigits\": \"1234\",\n      \"expirationMonth\": \"12\",\n      \"expirationYear\": \"2025\",\n      \"cardState\": \"ACTIVE\"\n   },\n   \"cardArt\": \"iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mP8/5+hHgAGgwJ/ lmfr3wAAAABJRU5ErkJggg==\",\n   \"timestamp\": \"1747305600000\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'signature': '+JWKfq4ynALK+FFzGgHnp1jSMQJMBJeb87dlph24sXw='\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "TtsfHHBixOm_HNd6sWGX-"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": ""
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}